%bcond_with docs

Summary:	Gstreamer plugin for the FFmpeg codecs and formats
Name:		gstreamer1.0-libav
Version:	1.26.0
Release:	%mkrel 2
License:	GPLv2+
Group:		Video/Utilities
URL:		https://gstreamer.freedesktop.org
Source0:	https://gstreamer.freedesktop.org/src/gst-libav/gst-libav-%{version}.tar.xz
BuildRequires:	meson
BuildRequires:	pkgconfig(gstreamer-plugins-base-1.0) >= %{version}
BuildRequires:	pkgconfig(gstreamer-1.0) >= %{version}
BuildRequires:	pkgconfig(gstreamer-base-1.0) >= %{version}
BuildRequires:	pkgconfig(gstreamer-check-1.0) >= %{version}
BuildRequires:	pkgconfig(orc-0.4) >= 0.4.16
BuildRequires:	pkgconfig(check)
BuildRequires:	yasm
%if %{with docs}
BuildRequires:	gtk-doc
%endif

%ifarch %{valgrind_arches} %{arm32}
BuildRequires:	valgrind
%endif

BuildRequires:	ffmpeg-devel
BuildRequires:	gettext-devel

Provides:	gstreamer1.0-ffmpeg = %{version}-%{release}

%description
Video codec plugin for GStreamer based on the FFmpeg libraries.

%prep
%autosetup -p1 -n gst-libav-%{version}

%build
%meson \
  -Dpackage-name='%{_vendor} %{name} package' \
  -Dpackage-origin='https://www.%{_real_vendor}.org/' \
  -Ddoc=%{?with_docs:enabled}%{?!with_docs:disabled}
%meson_build

%install
%meson_install

%files
%license COPYING
%doc README* NEWS ChangeLog AUTHORS
%{_libdir}/gstreamer-1.0/libgstlibav.so


%changelog
* Mon Jul 07 2025 umeabot <umeabot> 1.26.0-2.mga10
+ Revision: 2249042
- Mageia 10 Mass Rebuild

* Thu Mar 20 2025 wally <wally> 1.26.0-1.mga10
+ Revision: 2167472
- new version 1.26.0

* Tue Jan 07 2025 daviddavid <daviddavid> 1.24.11-1.mga10
+ Revision: 2135932
- new version: 1.24.11

* Sun Dec 08 2024 daviddavid <daviddavid> 1.24.8-2.mga10
+ Revision: 2122614
- rebuild for new ffmpeg 7.1

* Sun Oct 27 2024 wally <wally> 1.24.8-1.mga10
+ Revision: 2111403
- new version 1.24.8

* Fri Aug 30 2024 daviddavid <daviddavid> 1.24.7-1.mga10
+ Revision: 2092241
- new version: 1.24.7

* Fri Jun 07 2024 daviddavid <daviddavid> 1.24.4-1.mga10
+ Revision: 2070361
- new version: 1.24.4

* Mon Mar 25 2024 daviddavid <daviddavid> 1.24.1-1.mga10
+ Revision: 2052110
- new version 1.24.1

* Mon Mar 25 2024 daviddavid <daviddavid> 1.24.0-1.mga10
+ Revision: 2051935
- new version 1.24.0

* Sun Feb 04 2024 wally <wally> 1.22.9-2.mga10
+ Revision: 2037164
- rebuild for arm32

* Mon Jan 29 2024 wally <wally> 1.22.9-1.mga10
+ Revision: 2036133
- new version 1.22.9

* Wed Dec 20 2023 ghibo <ghibo> 1.22.8-1.mga10
+ Revision: 2020042
- Update to release 1.22.8

* Mon Oct 09 2023 wally <wally> 1.22.6-1.mga10
+ Revision: 1993809
- new version 1.22.6

* Tue Aug 29 2023 ghibo <ghibo> 1.22.5-1.mga10
+ Revision: 1980853
- Update to release 1.22.5

* Sat Jul 08 2023 ghibo <ghibo> 1.22.4-1.mga9
+ Revision: 1963695
- Update to release 1.22.4

* Sun May 21 2023 ghibo <ghibo> 1.22.3-1.mga9
+ Revision: 1957595
- Update to release 1.22.3

* Tue Jan 24 2023 wally <wally> 1.22.0-1.mga9
+ Revision: 1935706
- new version 1.22.0

* Sat Jan 14 2023 wally <wally> 1.21.90-1.mga9
+ Revision: 1933101
- new version 1.21.90

* Mon Dec 26 2022 wally <wally> 1.20.5-1.mga9
+ Revision: 1926952
- new version 1.20.5

* Sun Nov 20 2022 wally <wally> 1.20.4-1.mga9
+ Revision: 1909311
- new version 1.20.4

* Sat Jul 23 2022 wally <wally> 1.20.3-1.mga9
+ Revision: 1870393
- new version 1.20.3
- new version 1.20.2

* Sun Apr 03 2022 wally <wally> 1.20.1-1.mga9
+ Revision: 1842445
- new version 1.20.1
+ umeabot <umeabot>
- Mageia 9 Mass Rebuild
+ mrambo3501 <mrambo3501>
- rebuild for ffmpeg 5.0

* Sat Sep 18 2021 wally <wally> 1.18.5-1.mga9
+ Revision: 1745690
- new version 1.18.5 (mga#29452)

* Mon Apr 05 2021 wally <wally> 1.18.4-1.mga9
+ Revision: 1713705
- new version 1.18.4

* Mon Jan 18 2021 wally <wally> 1.18.3-1.mga8
+ Revision: 1672332
- new version 1.18.3

* Wed Dec 09 2020 wally <wally> 1.18.2-1.mga8
+ Revision: 1655018
- new version 1.18.2

* Sat Nov 21 2020 wally <wally> 1.18.1-1.mga8
+ Revision: 1648214
- new version 1.18.1

* Sun Sep 13 2020 wally <wally> 1.18.0-1.mga8
+ Revision: 1625906
- new version 1.18.0
- switch to meson build

* Wed Aug 12 2020 ovitters <ovitters> 1.16.2-3.mga8
+ Revision: 1613724
- BR gtk-doc (fix autobuild)

* Tue Feb 18 2020 umeabot <umeabot> 1.16.2-2.mga8
+ Revision: 1539266
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Wed Dec 04 2019 daviddavid <daviddavid> 1.16.2-1.mga8
+ Revision: 1464334
- new version 1.16.2

* Tue Sep 24 2019 daviddavid <daviddavid> 1.16.1-1.mga8
+ Revision: 1445552
- new version 1.16.1

* Thu Apr 25 2019 wally <wally> 1.16.0-1.mga7
+ Revision: 1395285
- new version 1.16.0
- use system libav

* Thu Oct 04 2018 daviddavid <daviddavid> 1.14.4-1.mga7
+ Revision: 1317567
- new version 1.14.4

* Tue Sep 18 2018 daviddavid <daviddavid> 1.14.3-1.mga7
+ Revision: 1259560
- new version 1.14.3

* Sat Jul 21 2018 daviddavid <daviddavid> 1.14.2-1.mga7
+ Revision: 1244619
- new version: 1.14.2

* Mon May 21 2018 wally <wally> 1.14.1-1.mga7
+ Revision: 1231141
- new version 1.14.1

* Thu May 03 2018 daviddavid <daviddavid> 1.14.0-2.mga7
+ Revision: 1225497
- compile with bundled libav until an upstream fix

* Sun Mar 25 2018 wally <wally> 1.14.0-1.mga7
+ Revision: 1212130
- new version 1.14.0
- enable valgrind on all supported arches

* Sat Dec 16 2017 wally <wally> 1.12.4-1.mga7
+ Revision: 1182822
- disable valgrind support on arm for now
- new version 1.12.4

* Tue Sep 26 2017 wally <wally> 1.12.3-1.mga7
+ Revision: 1160013
- new version 1.12.3

* Tue Jul 25 2017 wally <wally> 1.12.2-1.mga7
+ Revision: 1130754
- new version 1.12.2

* Tue May 02 2017 akien <akien> 1.10.3-3.mga6
+ Revision: 1098289
- Rebuild for ffmpeg 3.3

* Wed Mar 08 2017 akien <akien> 1.10.3-2.mga6
+ Revision: 1089858
- Rebuild for ffmpeg 3.2.4

* Fri Feb 10 2017 ns80 <ns80> 1.10.3-1.mga6
+ Revision: 1085495
- new version 1.10.3

* Sun Jan 15 2017 wally <wally> 1.10.2-1.mga6
+ Revision: 1081798
- new version 1.10.2

* Sat Aug 20 2016 luigiwalser <luigiwalser> 1.8.3-1.mga6
+ Revision: 1047194
- add patch to remove invalid constant added in 1.8.3
- 1.8.3

* Fri Jun 10 2016 luigiwalser <luigiwalser> 1.8.2-1.mga6
+ Revision: 1021004
- 1.8.2

* Mon May 09 2016 luigiwalser <luigiwalser> 1.8.1-1.mga6
+ Revision: 1011402
- 1.8.1

* Fri Mar 25 2016 wally <wally> 1.8.0-1.mga6
+ Revision: 995255
- new version 1.8.0

* Sat Mar 19 2016 wally <wally> 1.7.91-1.mga6
+ Revision: 992942
- new version 1.7.91

* Sat Jan 23 2016 luigiwalser <luigiwalser> 1.6.3-1.mga6
+ Revision: 926690
- 1.6.3

* Sun Jan 03 2016 luigiwalser <luigiwalser> 1.6.2-1.mga6
+ Revision: 918897
- 1.6.2

* Sun Sep 27 2015 tv <tv> 1.6.0-1.mga6
+ Revision: 884057
- new release
+ luigiwalser <luigiwalser>
- 1.4.5

* Fri Nov 14 2014 cjw <cjw> 1.4.3-4.mga5
+ Revision: 796920
- rebuild for ffmpeg 2.4

* Fri Nov 07 2014 cjw <cjw> 1.4.3-3.mga5
+ Revision: 796049
- patch1: fix segmentation fault in audio encoding code

* Wed Oct 15 2014 umeabot <umeabot> 1.4.3-2.mga5
+ Revision: 742533
- Second Mageia 5 Mass Rebuild

* Sun Sep 28 2014 wally <wally> 1.4.3-1.mga5
+ Revision: 731372
- new version 1.4.3

* Tue Sep 16 2014 umeabot <umeabot> 1.4.1-2.mga5
+ Revision: 679983
- Mageia 5 Mass Rebuild

* Tue Sep 09 2014 luigiwalser <luigiwalser> 1.4.1-1.mga5
+ Revision: 674300
- 1.4.1

* Mon Jul 21 2014 fwang <fwang> 1.4.0-1.mga5
+ Revision: 655009
- update file list
- 1.4.0

* Sat Jul 19 2014 luigiwalser <luigiwalser> 1.2.3-2.mga5
+ Revision: 653722
- rebuild for FFmpeg 2.3

* Sun Feb 09 2014 fwang <fwang> 1.2.3-1.mga5
+ Revision: 587320
- 1.2.3
- 1.2.3

* Thu Jan 23 2014 gw666 <gw666> 1.2.2-1.mga4
+ Revision: 567580
- new version (bug #12142)
- add patch to fix a memory leak (b.g.o #721077)

* Sun Nov 03 2013 wally <wally> 1.2.0-3.mga4
+ Revision: 549275
- drop P10 and enable group-id support again as we have new enough gst

* Mon Oct 21 2013 umeabot <umeabot> 1.2.0-2.mga4
+ Revision: 540978
- Mageia 4 Mass Rebuild

* Thu Oct 10 2013 fwang <fwang> 1.2.0-1.mga4
+ Revision: 494686
- new version 1.2.0

* Sat Sep 21 2013 fwang <fwang> 1.1.90-1.mga4
+ Revision: 483026
- more codecid patch
- cleanup br
- new version 1.1.90
- new version 1.1.4

* Mon Aug 05 2013 wally <wally> 1.1.3-2.mga4
+ Revision: 463739
- revert upstream commit which adds group-id support as it needs newer gst than we have and causes plugin to not work (mga#10924)

* Thu Aug 01 2013 fwang <fwang> 1.1.3-1.mga4
+ Revision: 461947
- new version 1.1.3

* Thu Jul 11 2013 wally <wally> 1.1.2-1.mga4
+ Revision: 453094
- new version 1.1.2
- add patches P8 and P9 to fix build with new ffmpeg

* Tue Feb 26 2013 cjw <cjw> 1.1-0.f42ff3194110b8d2f16b234470e4cce1e4c13de7.1.mga3
+ Revision: 400427
- upstream git master/HEAD snapshot from 20130215 (fixes WMA decoding for applications using gstreamer 1.0, bug #8925)
- drop patches 1-5: fixed or merged upstream
- patch6: fix build with gstreamer 1.0.x
- patch7: fix crash in audio encoder
- libavscale is disabled upstream because it apparently doesn't work

* Sat Jan 12 2013 umeabot <umeabot> 1.0.5-2.mga3
+ Revision: 352754
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jan 09 2013 fwang <fwang> 1.0.5-1.mga3
+ Revision: 343507
- new version 1.0.5

* Tue Jan 08 2013 fwang <fwang> 1.0.4-3.mga3
+ Revision: 341628
- rebuild for new ffmpeg

* Fri Jan 04 2013 cjw <cjw> 1.0.4-2.mga3
+ Revision: 338638
- patch6: fix build with automake 1.13 (from upstream git)

* Thu Dec 20 2012 cjw <cjw> 1.0.4-1.mga3
+ Revision: 333487
- 1.0.4
- patch4: separate patch to use avio for connecting libavformat muxers and demuxers to gstreamer
- patch5: add back palette support (from upstream git)

* Tue Dec 04 2012 cjw <cjw> 1.0.3-2.mga3
+ Revision: 326654
- build against system ffmpeg
- patch0: remove warning about system ffmpeg and 15s build delay
- patch1: fix build with ffmpeg 1.0

* Fri Nov 23 2012 fwang <fwang> 1.0.3-1.mga3
+ Revision: 321208
- new version 1.0.3

* Thu Oct 25 2012 fwang <fwang> 1.0.2-1.mga3
+ Revision: 309988
- new version 1.0.2

* Mon Oct 08 2012 fwang <fwang> 1.0.1-1.mga3
+ Revision: 303339
- new version 1.0.0

* Mon Sep 24 2012 fwang <fwang> 1.0.0-1.mga3
+ Revision: 297089
- update br
- new version 1.0.0

* Tue Sep 18 2012 fwang <fwang> 0.11.99-1.mga3
+ Revision: 295772
- new version 0.11.99

* Mon Sep 17 2012 fwang <fwang> 0.11.94-1.mga3
+ Revision: 294773
- update file list
- new version 0.11.94

* Wed Sep 05 2012 fwang <fwang> 0.11.93-1.mga3
+ Revision: 288521
- update file list
- rename to libav
- rename package
- the code now is based on libav rather than ffmpeg
- update provides
- imported package gstreamer1.0-ffmpeg

